# Class Proxy

java.lang.Object
java.lang.Thread
org.apache.jmeter.protocol.http.proxy.Proxy

All Implemented Interfaces:
  `Runnable`

public class Proxy extends Thread
Thread to handle one client request. Gets the request from the client and passes it on to the server, then sends the response back to the client. Information about the request and response is stored so it can be used in a JMeter test plan.

## Nested Class Summary

### Nested classes/interfaces inherited from class Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`Proxy()`
Default constructor - used by newInstance call in Daemon

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Main processing method for the Proxy object

### Methods inherited from class Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Proxy

public Proxy()
Default constructor - used by newInstance call in Daemon

## Method Details

### run

public void run()
Main processing method for the Proxy object

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`